<?php
defined('WikyBlog') or die("Not an entry point...");

wbLang::getFile('toolOptions');

class removeFlag{
	function removeFlag(&$obj,$flag){
		global $wbTables;
		
		$query = 'UPDATE '.$wbTables['all_files'];
		$query .= ' SET `modified` = `modified` ';
		$query .= ' , `flags` = '. wbDB::remove_from_set($flag,'`flags`');
		$query .= ' WHERE `file_id` = "'.$obj->file_id.'" ';
		wbDB::runQuery($query);
	}
	
	function flagChecked(&$obj){
		removeFlag::removeFlag($obj,'notchecked');
		message('UNCHECKED_REMOVED');
	}
}
